package org.gcube.datacatalogue.ckanutillibrary.shared;

import java.io.Serializable;

/**
 * This bean offers the following statistics and information:
 * <ul>
 * <li> number of items of the catalogue plus landing page url to the items page (within the portlet)
 * <li> number of organizations of the catalogue plus landing page url to the orgs page (within the portlet)
 * <li> number of groups of the catalogue plus landing page url to the groups page (within the portlet)
 * <li> number of types of the catalogue plus landing page url to the types page (within the portlet)
 * </ul>
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public class Statistics implements Serializable{
	
	private static final long serialVersionUID = 2871906712366452266L;
	private long numTypes;
	private long numOrganizations;
	private long numGroups;
	private long numItems;
	private String urlTypes;
	private String urlOrganizations;
	private String urlGroups;
	private String urlItems;

	public String getUrlTypes() {
		return urlTypes;
	}
	public void setUrlTypes(String urlTypes) {
		this.urlTypes = urlTypes;
	}
	public String getUrlOrganizations() {
		return urlOrganizations;
	}
	public void setUrlOrganizations(String urlOrganizations) {
		this.urlOrganizations = urlOrganizations;
	}
	public String getUrlGroups() {
		return urlGroups;
	}
	public void setUrlGroups(String urlGroups) {
		this.urlGroups = urlGroups;
	}
	public String getUrlItems() {
		return urlItems;
	}
	public void setUrlItems(String urlItems) {
		this.urlItems = urlItems;
	}
	public long getNumTypes() {
		return numTypes;
	}
	public void setNumTypes(long numTypes) {
		this.numTypes = numTypes;
	}
	public long getNumOrganizations() {
		return numOrganizations;
	}
	public void setNumOrganizations(long numOrganizations) {
		this.numOrganizations = numOrganizations;
	}
	public long getNumGroups() {
		return numGroups;
	}
	public void setNumGroups(long numGroups) {
		this.numGroups = numGroups;
	}
	public long getNumItems() {
		return numItems;
	}
	public void setNumItems(long numItems) {
		this.numItems = numItems;
	}
	@Override
	public String toString() {
		return "CatalogueHomeStats [numTypes=" + numTypes
				+ ", numOrganizations=" + numOrganizations + ", numGroups="
				+ numGroups + ", numItems=" + numItems + ", urlTypes="
				+ urlTypes + ", urlOrganizations=" + urlOrganizations
				+ ", urlGroups=" + urlGroups + ", urlItems=" + urlItems + "]";
	}
	
}
